org.apache.xmpbox.schema

## Class DublinCoreSchema

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.schema.XMPSchema
        - - org.apache.xmpbox.schema.DublinCoreSchema

    public class DublinCoreSchema
    extends XMPSchema

Representation of a DublinCore Schema

Author:
  a183132

### Field Summary

Fields
`static String` `CONTRIBUTOR`
`static String` `COVERAGE`
`static String` `CREATOR`
`static String` `DATE`
`static String` `DESCRIPTION`
`static String` `FORMAT`
`static String` `IDENTIFIER`
`static String` `LANGUAGE`
`static String` `PUBLISHER`
`static String` `RELATION`
`static String` `RIGHTS`
`static String` `SOURCE`
`static String` `SUBJECT`
`static String` `TITLE`
`static String` `TYPE`

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`DublinCoreSchema(XMPMetadata metadata)` Constructor of a Dublin Core schema with preferred prefix
`DublinCoreSchema(XMPMetadata metadata, String ownPrefix)` Constructor of a Dublin Core schema with specified prefix

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addContributor(String properName)` set contributor(s) to the resource (other than the authors)
`void` `addCreator(String properName)` set the author(s) of the resource
`void` `addDate(Calendar date)` Set date(s) that something interesting happened to the resource
`void` `addDescription(String lang, String value)` add a textual description of the content of the resource (multiple values may be present for different languages)
`void` `addLanguage(String locale)` Add language(s) used in this resource
`void` `addPublisher(String properName)` add publisher(s)
`void` `addRelation(String text)` Add relationships to other documents
`void` `addRights(String lang, String value)` add informal rights statement, by language.
`void` `addSubject(String text)` add descriptive phrases or keywords that specify the topic of the content of the resource
`void` `addTitle(String lang, String value)` set the title of the document, or the name given to the resource (by language)
`void` `addType(String type)` set the document type (novel, poem, ...)
`List<String>` `getContributors()` Return a String list of contributor(s)
`ArrayProperty` `getContributorsProperty()` Return the Bag of contributor(s)
`String` `getCoverage()` Return the value of the coverage
`TextType` `getCoverageProperty()` Return the Coverage TextType Property
`List<String>` `getCreators()` Return the creator(s) string value
`ArrayProperty` `getCreatorsProperty()` Return the Sequence of contributor(s)
`List<Calendar>` `getDates()` Return a calendar list of date
`ArrayProperty` `getDatesProperty()` Return the sequence of date(s)
`String` `getDescription()` Get the default value for the description.
`String` `getDescription(String lang)` Return a language value for description property
`List<String>` `getDescriptionLanguages()` Return a list of languages defined in description property
`ArrayProperty` `getDescriptionProperty()` Return the Lang alt Description
`String` `getFormat()` return the file format value
`TextType` `getFormatProperty()` Return the file format property
`String` `getIdentifier()` return the unique identifier value of this resource
`TextType` `getIdentifierProperty()` Return the unique identifier property of this resource
`List<String>` `getLanguages()` Return the list of values defined in the DC language
`ArrayProperty` `getLanguagesProperty()` Return the bag DC language
`List<String>` `getPublishers()` Return the list of values defined in the DC publisher
`ArrayProperty` `getPublishersProperty()` Return the bag DC publisher
`List<String>` `getRelations()` Return the list of values defined in the DC relation
`ArrayProperty` `getRelationsProperty()` Return the bag DC relation
`String` `getRights()` Return the default value for Right property
`String` `getRights(String lang)` Return a language value for Right property
`List<String>` `getRightsLanguages()` Return a list of languages defined in Right property
`ArrayProperty` `getRightsProperty()` Return the Lang alt Rights
`String` `getSource()` return the source value of this resource
`TextType` `getSourceProperty()` Return the source property of this resource
`List<String>` `getSubjects()` Return the list of values defined in the DC Subject
`ArrayProperty` `getSubjectsProperty()` Return the bag DC Subject
`String` `getTitle()` Get the default value for the title.
`String` `getTitle(String lang)` Return a language value for Title property
`List<String>` `getTitleLanguages()` Return a list of languages defined in Title property
`ArrayProperty` `getTitleProperty()` Return the Lang alt Title
`List<String>` `getTypes()` Return the list of values defined in the DC Type
`ArrayProperty` `getTypesProperty()` Return the bag DC Type
`void` `removeContributor(String properName)`
`void` `removeCreator(String name)`
`void` `removeDate(Calendar date)`
`void` `removeLanguage(String locale)`
`void` `removePublisher(String name)`
`void` `removeRelation(String text)`
`void` `removeSubject(String text)`
`void` `removeType(String type)`
`void` `setCoverage(String text)` set the extent or scope of the resource
`void` `setCoverageProperty(TextType text)` set the extent or scope of the resource
`void` `setDescription(String value)` Set the default value for the description.
`void` `setFormat(String mimeType)` set the file format used when saving the resource.
`void` `setFormatProperty(MIMEType text)` Set the unique identifier of the work from which this resource was derived
`void` `setIdentifier(String text)` Set the unique identifier of the resource
`void` `setIdentifierProperty(TextType text)` Set the unique identifier of the resource
`void` `setSource(String text)` Set the unique identifier of the work from which this resource was derived
`void` `setSourceProperty(TextType text)` Set the unique identifier of the work from which this resource was derived
`void` `setTitle(String value)` set default title
`void` `setTitle(String lang, String value)` set the title of the document, or the name given to the resource (by language)

### Methods inherited from class org.apache.xmpbox.schema.XMPSchema

`addBagValue, addBagValueAsSimple, addQualifiedBagValue, addSequenceDateValueAsSimple, addUnqualifiedSequenceDateValue, addUnqualifiedSequenceValue, addUnqualifiedSequenceValue, getAboutAttribute, getAboutValue, getAbstractProperty, getBooleanProperty, getBooleanPropertyValue, getBooleanPropertyValueAsSimple, getDateProperty, getDatePropertyValue, getDatePropertyValueAsSimple, getIntegerProperty, getIntegerPropertyValue, getIntegerPropertyValueAsSimple, getUnqualifiedArrayList, getUnqualifiedBagValueList, getUnqualifiedLanguagePropertyLanguagesValue, getUnqualifiedLanguagePropertyValue, getUnqualifiedSequenceDateValueList, getUnqualifiedSequenceValueList, getUnqualifiedTextProperty, getUnqualifiedTextPropertyValue, instanciateSimple, merge, removeUnqualifiedArrayValue, removeUnqualifiedBagValue, removeUnqualifiedSequenceDateValue, removeUnqualifiedSequenceValue, removeUnqualifiedSequenceValue, reorganizeAltOrder, setAbout, setAboutAsSimple, setBooleanProperty, setBooleanPropertyValue, setBooleanPropertyValueAsSimple, setDateProperty, setDatePropertyValue, setDatePropertyValueAsSimple, setIntegerProperty, setIntegerPropertyValue, setIntegerPropertyValueAsSimple, setTextProperty, setTextPropertyValue, setTextPropertyValueAsSimple, setUnqualifiedLanguagePropertyValue`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CONTRIBUTOR

    public static final String CONTRIBUTOR

See Also:
  Constant Field Values

#### COVERAGE

    public static final String COVERAGE

See Also:
  Constant Field Values

#### CREATOR

    public static final String CREATOR

See Also:
  Constant Field Values

#### DATE

    public static final String DATE

See Also:
  Constant Field Values

#### DESCRIPTION

    public static final String DESCRIPTION

See Also:
  Constant Field Values

#### FORMAT

    public static final String FORMAT

See Also:
  Constant Field Values

#### IDENTIFIER

    public static final String IDENTIFIER

See Also:
  Constant Field Values

#### LANGUAGE

    public static final String LANGUAGE

See Also:
  Constant Field Values

#### PUBLISHER

    public static final String PUBLISHER

See Also:
  Constant Field Values

#### RELATION

    public static final String RELATION

See Also:
  Constant Field Values

#### RIGHTS

    public static final String RIGHTS

See Also:
  Constant Field Values

#### SOURCE

    public static final String SOURCE

See Also:
  Constant Field Values

#### SUBJECT

    public static final String SUBJECT

See Also:
  Constant Field Values

#### TITLE

    public static final String TITLE

See Also:
  Constant Field Values

#### TYPE

    public static final String TYPE

See Also:
  Constant Field Values

### Constructor Detail

#### DublinCoreSchema

    public DublinCoreSchema(XMPMetadata metadata)

Constructor of a Dublin Core schema with preferred prefix

Parameters:
  `metadata` - The metadata to attach this schema

#### DublinCoreSchema

    public DublinCoreSchema(XMPMetadata metadata,
                            String ownPrefix)

Constructor of a Dublin Core schema with specified prefix

Parameters:
  `metadata` - The metadata to attach this schema
  `ownPrefix` - The prefix to assign

### Method Detail

#### addContributor

    public void addContributor(String properName)

set contributor(s) to the resource (other than the authors)

Parameters:
  `properName` - Value to set

#### removeContributor

    public void removeContributor(String properName)

#### setCoverage

    public void setCoverage(String text)

set the extent or scope of the resource

Parameters:
  `text` - Value to set

#### setCoverageProperty

    public void setCoverageProperty(TextType text)

set the extent or scope of the resource

Parameters:
  `text` - Property to set

#### addCreator

    public void addCreator(String properName)

set the author(s) of the resource

Parameters:
  `properName` - Value to add

#### removeCreator

    public void removeCreator(String name)

#### addDate

    public void addDate(Calendar date)

Set date(s) that something interesting happened to the resource

Parameters:
  `date` - Value to add

#### removeDate

    public void removeDate(Calendar date)

#### addDescription

    public void addDescription(String lang,
                               String value)

add a textual description of the content of the resource (multiple values may be present for different languages)

Parameters:
  `lang` - language concerned
  `value` - Value to add

#### setDescription

    public void setDescription(String value)

Set the default value for the description.

Parameters:
  `value` - The description of this resource.

#### setFormat

    public void setFormat(String mimeType)

set the file format used when saving the resource.

Parameters:
  `mimeType` - Value to set

#### setIdentifier

    public void setIdentifier(String text)

Set the unique identifier of the resource

Parameters:
  `text` - Value to set

#### setIdentifierProperty

    public void setIdentifierProperty(TextType text)

Set the unique identifier of the resource

Parameters:
  `text` - Property to set

#### addLanguage

    public void addLanguage(String locale)

Add language(s) used in this resource

Parameters:
  `locale` - Value to set

#### removeLanguage

    public void removeLanguage(String locale)

#### addPublisher

    public void addPublisher(String properName)

add publisher(s)

Parameters:
  `properName` - Value to add

#### removePublisher

    public void removePublisher(String name)

#### addRelation

    public void addRelation(String text)

Add relationships to other documents

Parameters:
  `text` - Value to set

#### removeRelation

    public void removeRelation(String text)

#### addRights

    public void addRights(String lang,
                          String value)

add informal rights statement, by language.

Parameters:
  `lang` - Language concerned
  `value` - Value to set

#### setSource

    public void setSource(String text)

Set the unique identifier of the work from which this resource was derived

Parameters:
  `text` - Value to set

#### setSourceProperty

    public void setSourceProperty(TextType text)

Set the unique identifier of the work from which this resource was derived

Parameters:
  `text` - Property to set

#### setFormatProperty

    public void setFormatProperty(MIMEType text)

Set the unique identifier of the work from which this resource was derived

Parameters:
  `text` - Property to set

#### addSubject

    public void addSubject(String text)

add descriptive phrases or keywords that specify the topic of the content of the resource

Parameters:
  `text` - Value to add

#### removeSubject

    public void removeSubject(String text)

#### setTitle

    public void setTitle(String lang,
                         String value)

set the title of the document, or the name given to the resource (by language)

Parameters:
  `lang` - Language concerned
  `value` - Value to set

#### setTitle

    public void setTitle(String value)

set default title

Parameters:
  `value` - Value to set

#### addTitle

    public void addTitle(String lang,
                         String value)

set the title of the document, or the name given to the resource (by language)

Parameters:
  `lang` - Language concerned
  `value` - Value to set
See Also:
  `setTitle(String)`

#### addType

    public void addType(String type)

set the document type (novel, poem, ...)

Parameters:
  `type` - Value to set

#### getContributorsProperty

    public ArrayProperty getContributorsProperty()

Return the Bag of contributor(s)

Returns:
  Contributor property

#### getContributors

    public List<String> getContributors()

Return a String list of contributor(s)

Returns:
  List of contributors values

#### getCoverageProperty

    public TextType getCoverageProperty()

Return the Coverage TextType Property

Returns:
  Coverage property

#### getCoverage

    public String getCoverage()

Return the value of the coverage

Returns:
  Coverage value

#### getCreatorsProperty

    public ArrayProperty getCreatorsProperty()

Return the Sequence of contributor(s)

Returns:
  Creator property

#### getCreators

    public List<String> getCreators()

Return the creator(s) string value

Returns:
  List of creators values

#### getDatesProperty

    public ArrayProperty getDatesProperty()

Return the sequence of date(s)

Returns:
  date property

#### getDates

    public List<Calendar> getDates()

Return a calendar list of date

Returns:
  List of dates values

#### getDescriptionProperty

    public ArrayProperty getDescriptionProperty()

Return the Lang alt Description

Returns:
  Description property

#### getDescriptionLanguages

    public List<String> getDescriptionLanguages()

Return a list of languages defined in description property

Returns:
  get List of languages defined for description property

#### getDescription

    public String getDescription(String lang)

Return a language value for description property

Parameters:
  `lang` - The language wanted
Returns:
  Description value for specified language

#### getDescription

    public String getDescription()

Get the default value for the description.

Returns:
  The description of this resource.

#### getFormatProperty

    public TextType getFormatProperty()

Return the file format property

Returns:
  the format property

#### getFormat

    public String getFormat()

return the file format value

Returns:
  the format value

#### getIdentifierProperty

    public TextType getIdentifierProperty()

Return the unique identifier property of this resource

Returns:
  the identifier property

#### getIdentifier

    public String getIdentifier()

return the unique identifier value of this resource

Returns:
  the unique identifier value

#### getLanguagesProperty

    public ArrayProperty getLanguagesProperty()

Return the bag DC language

Returns:
  language property

#### getLanguages

    public List<String> getLanguages()

Return the list of values defined in the DC language

Returns:
  list of languages defined for language property

#### getPublishersProperty

    public ArrayProperty getPublishersProperty()

Return the bag DC publisher

Returns:
  publisher property

#### getPublishers

    public List<String> getPublishers()

Return the list of values defined in the DC publisher

Returns:
  list of values for publisher property

#### getRelationsProperty

    public ArrayProperty getRelationsProperty()

Return the bag DC relation

Returns:
  relation property

#### getRelations

    public List<String> getRelations()

Return the list of values defined in the DC relation

Returns:
  list of values for relation property

#### getRightsProperty

    public ArrayProperty getRightsProperty()

Return the Lang alt Rights

Returns:
  rights property

#### getRightsLanguages

    public List<String> getRightsLanguages()

Return a list of languages defined in Right property

Returns:
  list of rights languages values defined

#### getRights

    public String getRights(String lang)

Return a language value for Right property

Parameters:
  `lang` - language concerned
Returns:
  the rights value for specified language

#### getRights

    public String getRights()

Return the default value for Right property

Returns:
  the default rights value
See Also:
  `getRights(String)`

#### getSourceProperty

    public TextType getSourceProperty()

Return the source property of this resource

Returns:
  source property

#### getSource

    public String getSource()

return the source value of this resource

Returns:
  value of source property

#### getSubjectsProperty

    public ArrayProperty getSubjectsProperty()

Return the bag DC Subject

Returns:
  the subject property

#### getSubjects

    public List<String> getSubjects()

Return the list of values defined in the DC Subject

Returns:
  the list of subject values

#### getTitleProperty

    public ArrayProperty getTitleProperty()

Return the Lang alt Title

Returns:
  the title property

#### getTitleLanguages

    public List<String> getTitleLanguages()

Return a list of languages defined in Title property

Returns:
  list of languages defined for title property

#### getTitle

    public String getTitle(String lang)

Return a language value for Title property

Parameters:
  `lang` - the language concerned
Returns:
  the title value for specified language

#### getTitle

    public String getTitle()

Get the default value for the title.

Returns:
  The default title of this resource.

#### getTypesProperty

    public ArrayProperty getTypesProperty()

Return the bag DC Type

Returns:
  the type property

#### getTypes

    public List<String> getTypes()

Return the list of values defined in the DC Type

Returns:
  the value of type property

#### removeType

    public void removeType(String type)